## com.lowagie.text.pdf
Class PdfDocument.RenderingContext

    java.lang.Object
      com.lowagie.text.pdf.PdfDocument.RenderingContext

Enclosing class:
  PdfDocument

    private static class PdfDocument.RenderingContext

extends java.lang.Object

Field Summary
`(package private) PdfContentByte` `cellGraphics`
`(package private) int` `countPageBreaks`
`(package private) float` `lostTableBottom`
`(package private) float` `maxCellBottom`
`(package private) float` `maxCellHeight`
`(package private) float` `oldHeight`
`(package private) java.util.Map` `pageMap`
`(package private) float` `pagetop`
`(package private) java.util.Map` `rowspanMap`
`PdfTable` `table` A PdfPTable

Constructor Summary
`private` `PdfDocument.RenderingContext()`

Method Summary
`int` `cellRendered(PdfCell cell, int pageNumber)`
`int` `consumeRowspan(PdfCell c)` Consumes the rowspan
`int` `currentRowspan(PdfCell c)` Looks at the current rowspan.
`boolean` `isCellRenderedOnPage(PdfCell cell, int pageNumber)`
`int` `numCellRendered(PdfCell cell)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### countPageBreaks

    int countPageBreaks

### pagetop

    float pagetop

### oldHeight

    float oldHeight

### cellGraphics

    PdfContentByte cellGraphics

### lostTableBottom

    float lostTableBottom

### maxCellBottom

    float maxCellBottom

### maxCellHeight

    float maxCellHeight

### rowspanMap

    java.util.Map rowspanMap

### pageMap

    java.util.Map pageMap

### table

    public PdfTable table

  A PdfPTable

Constructor Detail

### PdfDocument.RenderingContext

    private PdfDocument.RenderingContext()

Method Detail

### consumeRowspan

    public int consumeRowspan(PdfCell c)

  Consumes the rowspan

  Parameters:
    `c` -
  Returns:
    a rowspan.

### currentRowspan

    public int currentRowspan(PdfCell c)

  Looks at the current rowspan.

  Parameters:
    `c` -
  Returns:
    the current rowspan

### cellRendered

    public int cellRendered(PdfCell cell,
                            int pageNumber)

### numCellRendered

    public int numCellRendered(PdfCell cell)

### isCellRenderedOnPage

    public boolean isCellRenderedOnPage(PdfCell cell,
                                        int pageNumber)